// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: loadmodule/loadmodule.proto

package openfmb.loadmodule;

public interface LoadStatusOrBuilder extends
    // @@protoc_insertion_point(interface_extends:loadmodule.LoadStatus)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  boolean hasStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  openfmb.commonmodule.StatusValue getStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder();

  /**
   * <pre>
   * True if the load is uncontrollable.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue isUncontrollable = 2;</code>
   * @return Whether the isUncontrollable field is set.
   */
  boolean hasIsUncontrollable();
  /**
   * <pre>
   * True if the load is uncontrollable.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue isUncontrollable = 2;</code>
   * @return The isUncontrollable.
   */
  com.google.protobuf.BoolValue getIsUncontrollable();
  /**
   * <pre>
   * True if the load is uncontrollable.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue isUncontrollable = 2;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getIsUncontrollableOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadStatusZGLD loadStatusZGLD = 3;</code>
   * @return Whether the loadStatusZGLD field is set.
   */
  boolean hasLoadStatusZGLD();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadStatusZGLD loadStatusZGLD = 3;</code>
   * @return The loadStatusZGLD.
   */
  openfmb.loadmodule.LoadStatusZGLD getLoadStatusZGLD();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadStatusZGLD loadStatusZGLD = 3;</code>
   */
  openfmb.loadmodule.LoadStatusZGLDOrBuilder getLoadStatusZGLDOrBuilder();
}
